import React, { useState } from 'react';
import { maskValue } from './mask.utils';
import { IPropsMask } from './MaskText.interface';

export const MaskText: React.FunctionComponent<IPropsMask> = (props: IPropsMask) => {
   const newVal = maskValue(props.value, props.mask, props as any);

   return <>{newVal}</>;
};
